#
# spec file for package libeap0
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           libeap0
Version:        0.7.3
Release:        5.2
License:        GPL
Summary:        EAP peer library
Url:            http://w1.fi
Group:          System/Libraries
Source0:        wpa_supplicant-%{version}.tar.gz
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch0:         wpa_supplicant-0.7.3-generate-libeap-peer.patch
BuildRequires:  gcc
BuildRequires:  libopenssl-devel
BuildRequires:  pkg-config
BuildRequires:  tar

%description
This package contains the runtime EAP peer library from WPA supplicant.
The library is required for WiMax packages.

%package devel

Summary:        Development files for EAP peer library
Group:          Development/Libraries/C and C++

Requires:       %{name} >= %{version}

%description devel
Development files for EAP peer library.

%prep
%setup -q -n wpa_supplicant-%{version}
%patch0 -p1 -b wpa_supplicant-0.7.3-generate-libeap-peer.patch

%build
cd src/eap_peer
sed -e 's/\/usr\/lib\>/\/usr\/%{_lib}/g' Makefile > Makefile.tmp
mv Makefile.tmp Makefile
make %{?_smp_mflags}

%install
%find_lang %{name} || echo -n >> %{name}.lang
cd src/eap_peer
%make_install

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_libdir}/libeap.so.0.0.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/eap_peer
%{_libdir}/pkgconfig/libeap0.pc
%{_libdir}/libeap*.so

%post -n libeap0 -p /sbin/ldconfig
%postun -n libeap0 -p /sbin/ldconfig

%changelog
* Fri Oct 21 2011 tony@daylessday.org
- Initial OBS version.
